<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(6, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(5, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


















	// Sélection de la facture
	$requete_texte = mysqli_query($connexion_mysql, 'SELECT texte_facture_objet_FR, texte_facture_message_FR, texte_facture_objet_EN, texte_facture_message_EN FROM parametres WHERE parametre_id=0');
	$resultat_texte = mysqli_fetch_array($requete_texte);
	$texte_facture_objet_FR = decodage_apostrophe(html_entity_decode(stripslashes($resultat_texte[0])));
	$texte_facture_message_FR = decodage_apostrophe(html_entity_decode(stripslashes($resultat_texte[1])));
	$texte_facture_objet_EN = decodage_apostrophe(html_entity_decode(stripslashes($resultat_texte[2])));
	$texte_facture_message_EN = decodage_apostrophe(html_entity_decode(stripslashes($resultat_texte[3])));













if(isset($action) AND ($action=='confirmer' OR $action=='envoyer')){

	/******************************/
	/**  Traitement des erreurs  **/
	/******************************/
	if($action=='confirmer'){
		if(strlen(trim($joueur_email))==0){
			$erreur_message .= "- l'e-mail du destinataire est manquant<br>";
		}
		if(strlen(trim($facture_message_objet))==0){
			$erreur_message .= "- l'objet du message est manquant<br>";
		}
		if(strlen(trim($facture_message_texte))==0){
			$erreur_message .= "- le texte du message est manquant<br>";
		}
	}

	/****************************************/
	/**  Enregistrement des modifications  **/
	/****************************************/
	if($erreur_message=='' AND $action=='envoyer'){

		if($joueur_langue=='FR'){
			$emailing_titre = 'VOTRE FACTURE';
		}else{
			$emailing_titre = 'YOUR INVOICE';
		}

		$facture_message_texte = html_entity_decode(stripslashes($facture_message_texte));

		$fichier = 1;
		include './facture.php';	// Création du fichier PDF de la facture dans le répertoire /adm/temp

		// Envoi de l'e-mail de confirmation d'inscription au joueur pro
		emailing_envoi($web_email_alerte, $joueur_email, $web_email_alerte, '', $facture_message_objet, $emailing_titre, $facture_message_texte, $web_url.'/emailing.htm', $web_url, $joueur_langue, $facture_id, $facture_numero_bis);

		$requete_facture_envoi = mysqli_query($connexion_mysql, 'UPDATE factures SET facture_envoyee=1 WHERE facture_id="'.$facture_id.'"');

		$facture_numero = $facture_numero_ter;

		$envoi_facture = 1;

	}elseif($erreur_message=='' AND $action=='confirmer'){
		$facture_message_texte = preg_replace("/\n/", "<br>\n", stripslashes($facture_message_texte));
	}

}


if(isset($action) AND isset($erreur_message) AND $erreur_message==''){

}elseif(isset($erreur_message) AND $erreur_message==''){

	// Sélection de la facture
	$requete_facture = mysqli_query($connexion_mysql, 'SELECT B.joueur_id, joueur_sexe, joueur_prenom, joueur_nom, joueur_email, joueur_langue, facture_numero, facture_package, facture_prix_ht, facture_prix_ttc,  DATE_FORMAT(facture_date, "%d/%m/%Y") FROM factures A INNER JOIN joueurs B ON A.joueur_id=B.joueur_id WHERE facture_id="'.$facture_id.'"');
	$resultat_facture = mysqli_fetch_array($requete_facture);
	$facture_joueur = $resultat_facture[0];
	$joueur_sexe = $resultat_facture[1];
	$joueur_prenom = decodage_apostrophe(html_entity_decode(stripslashes($resultat_facture[2])));
	$joueur_nom = decodage_apostrophe(html_entity_decode(stripslashes($resultat_facture[3])));
	if(!isset($envoi_facture)){
		$joueur_email = $resultat_facture[4];
	}
	$joueur_langue = $resultat_facture[5];
	$facture_numero = $resultat_facture[6];
	$facture_package = $resultat_facture[7];
	$facture_prix_ht = number_format($resultat_facture[8], 2, ',', ' ').' &euro; HT';
	$facture_prix_ttc = number_format($resultat_facture[9], 2, ',', ' ').' &euro; TTC';
	$facture_date = $resultat_facture[10];

	$facture_annee = substr($facture_date, -4);
	while(strlen(trim($facture_numero)) < 3){ $facture_numero = '0'.$facture_numero; }
	$facture_numero_bis = 'PAAG-'.$facture_annee.'-'.$facture_numero;

	// Sélection de la facture
	$requete_facturation_textes = mysqli_query($connexion_mysql, 'SELECT texte_facture_objet_'.$joueur_langue.', texte_facture_message_'.$joueur_langue.' FROM parametres WHERE parametre_id=1');
	$resultat_facturation_texte = mysqli_fetch_array($requete_facturation_textes);
	$facture_message_objet = decodage_apostrophe(html_entity_decode(stripslashes($resultat_facturation_texte[0])));
	$facture_message_texte = decodage_apostrophe(html_entity_decode(stripslashes($resultat_facturation_texte[1])));

	$facture_message_objet = preg_replace('/\[NUMERO\]/', $facture_numero_bis, $facture_message_objet);
	$facture_message_texte = preg_replace('/\[PRENOM\]/', $joueur_prenom, $facture_message_texte);
	$facture_message_texte = preg_replace('/\[NOM\]/', $joueur_nom, $facture_message_texte);
	$facture_message_texte = preg_replace('/\[NUMERO\]/', $facture_numero_bis, $facture_message_texte);

	if($joueur_langue=='FR'){

		$facture_message_texte = $texte_facture_message_FR;
		$facture_message_objet = $texte_facture_objet_FR;


		if($joueur_sexe=='H'){
			$facture_message_texte = preg_replace('/\[CIVILITE\]/', '', $facture_message_texte);
		}else{
			$facture_message_texte = preg_replace('/Cher/', 'Chère', $facture_message_texte);
			$facture_message_texte = preg_replace('/\[CIVILITE\]/', '', $facture_message_texte);

			
		}

		$facture_message_texte = preg_replace('/\[NOM\]/', $joueur_prenom." ".$joueur_nom.",", $facture_message_texte);

	} else {

		$facture_message_texte = $texte_facture_message_EN;
		$facture_message_objet = $texte_facture_objet_EN;


		if($joueur_sexe=='H'){
			$facture_message_texte = preg_replace('/\[CIVILITE\]/', '', $facture_message_texte);
		}else{
			$facture_message_texte = preg_replace('/\[CIVILITE\]/', '', $facture_message_texte);
		}

		$facture_message_texte = preg_replace('/\[NOM\]/', $joueur_prenom." ".$joueur_nom.",", $facture_message_texte);

	}

}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title><?=$admin_titre?></title>
	<link rel="shortcut icon" type="image/png" href="<?=$admin_domaine?>favicon.png">
	<link rel="stylesheet" type="text/css" href="<?=$admin_css_page?>">
	<script type="text/javascript" src="<?=$admin_js?>scriptaculous/prototype.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>scriptaculous/scriptaculous.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>scriptaculous/prototip.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>jquery/jquery.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>jquery/jquery-ui-personalized-1.6rc6.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>commun.js"></script>
	<meta name="robots" content="none">
</head>

<body>

<?php 
include $general_path_relatif.'sources/entete.inc';
include $general_path_relatif.'sources/menu.inc';
?>

<div id="contenu_1"<?=$correction_contenu_1?>><div id="contenu_2">

	<div id="contenu_3" align="left" style="width: 650px;">

		<div id="titres">
			<span class="titre_1"><a href="./">Facturation</a> <span class="separateur">/</span> <span class="titre_2">Envoyer la facture par e-mail</span></span>
		</div>
		<br clear="all">

		<div id="bloc_bis">

			<?php if(isset($erreur_message) AND $erreur_message!=''){ ?>
				<div align="center"><div id="message_erreur" align="left"><b><?=$erreur_message_introduction.'</b><br>'.$erreur_message?></div></div>
			<?php } ?>

			<?php if(isset($envoi_facture) AND $envoi_facture==1){ ?>
				<div align="center"><div id="message_confirmation" style="color: green;"><br><b>L'e-mail contenant la facture a bien été envoyé</b><br>à l'adresse ci-dessous :&nbsp; <?=$joueur_email?><br><br></div></div>
				<div id="formulaire_boutons" style="text-align: center;"><a href="./" class="lien_annuler">retour à la liste</a></div>
			<?php } ?>

			<form name="envoyer" action="<?=$PHP_SELF?>" method="post" enctype="multipart/form-data">

				<?php if(isset($action) AND $action=='confirmer' AND isset($erreur_message) AND $erreur_message==''){ ?>
					<input type="hidden" name="action" value="envoyer">
				<?php }else{ ?>
					<input type="hidden" name="action" value="confirmer">
				<?php } ?>
				<input type="hidden" name="facture_id" value="<?=$facture_id?>">
				<input type="hidden" name="facture_numero_bis" value="<?=$facture_numero_bis?>">
				<input type="hidden" name="joueur_langue" value="<?=$joueur_langue?>">

				<input type="hidden" name="facture_date" value="<?=$facture_date?>">
				<input type="hidden" name="facture_package" value="<?=$facture_package?>">
				<input type="hidden" name="facture_annee" value="<?=$facture_annee?>">
				<input type="hidden" name="facture_numero" value="<?=$facture_numero?>">
				<input type="hidden" name="facture_numero_ter" value="<?=$facture_numero?>">
				<input type="hidden" name="facture_prix_ht" value="<?=$facture_prix_ht?>">
				<input type="hidden" name="facture_prix_ttc" value="<?=$facture_prix_ttc?>">

				<div id="formulaire_ligne_intertitre">RAPPEL DE LA FACTURE</div>

				<div id="formulaire_ligne">
					<div id="formulaire_libelle">Date</div>
					<div id="formulaire_champ" style="width: 195px;"><?=$facture_date?></div>
					<div id="formulaire_libelle" style="width: 90px;">Package</div>
					<div id="formulaire_champ" style="width: 195px;"><?=ucfirst($facture_package)?></div>
					<br clear="all">
				</div>
				<div id="formulaire_ligne">
					<div id="formulaire_libelle">Numéro</div>
					<div id="formulaire_champ" style="width: 195px;">PAAG - <?=$facture_annee?> - <?=$facture_numero?></div>
					<div id="formulaire_libelle" style="width: 90px;">Montants</div>
					<div id="formulaire_champ" style="width: 195px;"><?=$facture_prix_ht.' &nbsp;/&nbsp; '.$facture_prix_ttc?></div>
					<br clear="all">
				</div>

				<div id="formulaire_ligne_intertitre">CONTENU DE L'E-MAIL &Agrave; ENVOYER</div>

				<div id="formulaire_ligne">
					<div id="formulaire_libelle_obligatoire">E-mail du destinataire</div>
					<div id="formulaire_champ" style="width: 500px;">
						<?php 
						if(isset($action) AND isset($erreur_message) AND $erreur_message==''){
							echo $joueur_email;
							echo '<input type="hidden" name="joueur_email" value="'.$joueur_email.'">';
						}else{
						?>
							<input type="text" name="joueur_email" value="<?=$joueur_email?>" class="input" style="width: 470px;">
						<?php 
						}
						?>
					</div>
					<br clear="all">
				</div>
				<div id="formulaire_ligne">
					<div id="formulaire_libelle_obligatoire">Objet</div>
					<div id="formulaire_champ" style="width: 500px;">
						<?php 
						if(isset($action) AND isset($erreur_message) AND $erreur_message==''){
							echo $facture_message_objet;
							echo '<input type="hidden" name="facture_message_objet" value="'.$facture_message_objet.'">';
						}else{
						?>
							<input type="text" name="facture_message_objet" value="<?=$facture_message_objet?>" class="input" style="width: 470px;">
						<?php 
						}
						?>
					</div>
					<br clear="all">
				</div>
				<div id="formulaire_ligne">
					<div id="formulaire_libelle_obligatoire">Texte</div>
					<div id="formulaire_champ" style="width: 500px;">
						<?php 
						if(isset($action) AND isset($erreur_message) AND $erreur_message==''){
							echo '<span style="line-height: 16px;">'.$facture_message_texte.'</span>';
							echo '<input type="hidden" name="facture_message_texte" value="'.htmlentities($facture_message_texte, ENT_QUOTES).'">';
						}else{
						?>
							<textarea name="facture_message_texte" class="textarea" style="width: 470px; height: 550px; overflow: auto;"><?=$facture_message_texte?></textarea>
						<?php 
						}
						?>
					</div>
					<br clear="all">
				</div>

				<?php if(!isset($action) OR (isset($action) AND $action=='confirmer')){ ?>
					<div id="formulaire_boutons"><input type="image" src="<?=$admin_img?>btn_valider.png" width="123" height="40" align="absmiddle" style="margin: 15px 5px 20px 0px;"> ou&nbsp; <a href="./envoyer.php?facture_id=<?=$facture_id?>" class="lien_annuler">retour</a></div>
				<?php }else{ ?>
					<br>
				<?php } ?>

			</form>

		</div>

	</div>
	<br clear="all">

</div></div>

<?php include $general_path_relatif.'sources/pied_page.inc'; ?>

<script language="Javascript">
	<!-- 
	document.envoyer.facture_message_objet.focus();
	//-->
</script>

</body>
</html>
